**Source URL:** https://limited.veevavault.dev/qualityone/vault-api/api-reference/22.1/documents/document-annotations/upload-document-annotations.md

# Upload Document Annotations



<Endpoint path="/api/{version}/objects/documents/{doc_id}/annotations" method="POST"></Endpoint>

## Headers {#headers}

<FieldTable>
| Name | Description |
| --- | --- |
| `Content-Type` | `multipart/form-data` |
| `Accept` | `application/json` (default) or `application/xml` |
</FieldTable>

## File Upload {#file-upload}

To upload the file, use the multi-part attachment with the file component `"file={file_name}"`. The maximum allowed file size is 4GB.

## URI Path Parameters {#uri-path-parameters}

<FieldTable>
| Name | Description |
| --- | --- |
| `{doc_id}` | The document `id` field value. |
</FieldTable>

## Request {#request}

<CodeExample title="">
```
curl -X POST -H "Authorization: {SESSION_ID}" \
-H "Content-Type: multipart/form-data" \
-F "file=document2016.pdf" \
https://myvault.veevavault.com/api/v15.0/objects/documents/548/annotations

```
</CodeExample>

## Response {#response}

<CodeExample title="">
```
{
    "responseStatus": "SUCCESS",
    "responseMessage": "OK",
    "replies": 0,
    "failures": 0,
    "new": 0
}

```
</CodeExample>

## Response Details {#response-details}

On SUCCESS, Vault uploads the file and its annotations.



---

**Previous:** [Retrieve Video Annotations](/qualityone/vault-api/api-reference/22.1/documents/document-annotations/retrieve-video-annotations)  
**Next:** [Upload Document Version Annotations](/qualityone/vault-api/api-reference/22.1/documents/document-annotations/upload-document-version-annotations)